Printago API
GET /v1/settings/notifications/{id}/mentions

List Discord mentions

List the Discord mentions (`@everyone`, `@here`, users or roles) added to messages for each event of a Discord channel.

Requires: settings.view

Path Parameters

id required
string
The Discord notification channel ID

Response Schema

NotificationMention[]
Array of NotificationMention, each with:
createdAtrequired
string
format: date-time
eventrequired
enum
onJobSucceededonJobFailedonJobCancelledonJobStartedonPrinterHmsErroronPrinterHmsWarningonPrinterOfflineonPrinterOnlineonPrinterContinuousPrintDisabledonOrderCreatedManualonOrderCreatedRetailonOrderCancelledonOrderClosedonOrdersAutoPrintedonMaintenanceModeOnonMaintenanceModeOffonMaintenanceDueSoononMaintenanceOverdueonMaterialUsageRecordedonAiFailureDetected
idrequired
string
pattern: ^[a-z0-9]{24}$
labelrequired
string
mentionIdrequirednullable
string
mentionTyperequired
"everyone" | "here" | "user" | "role"
everyonehereuserrole
notificationIdrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
[
  {
    "notificationId": "string",
    "event": "onJobSucceeded",
    "mentionType": "everyone",
    "mentionId": "string",
    "label": "string",
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]